Subject: bug#405: Emacs 22.2.1 in X behaves improperly when run with low memory limits

From: Stefan Monnier <[email-masked]>
Date: Sat, 14 Jun 2008 00:42:51 -0400

> When run in an X window session and with low process memory limits, Emacs
> fails to open and/or syntax highlight some files properly.  To reproduce,
> run:

>   bash --noprofile --norc
>   ulimit -d 10240
>   emacs
>     Open treeset-private.hpp [attached]

> If things are still going smoothly, try turning on font-lock-mode.  At this
> point, I get the error 'Invalid regexp: "Regular expression too big"'.
> If the ulimit is set to 8MB instead of 10MB, Emacs encounters this error on
> startup while attempting to load the splash screen.  I have encountered
> similar errors while loading or highlighting this file with memory limits up
> to at least 12MB, if not larger.  Sometimes the file will fail to load;

What can I say: it needs more memory.  That it fails gracefully rather
than crashing and burning is rather good than bad, don't you think?

        Stefan